<?php
/**
 * Plugin Name: Feed For TikTok Shop
 * Description: Simple and easy to create, sync, and optimize your product listing on TikTok Shop.
 * Version: 1.0.0
 * Author: AfterShip
 * Author URI: https://www.aftership.com/
 * Copyright: © AfterShip
 * License: GPL2
 */

// Prevent direct file access
if (!defined('ABSPATH')) {
    exit;
}

define('AUTOMIZELY_FEED_VERSION', '1.0.0');
define('AUTOMIZELY_FEED_PATH', dirname(__FILE__));
define('AUTOMIZELY_FEED_URL', plugins_url() . '/' . basename(AUTOMIZELY_FEED_PATH));


class Automizely_Feed
{
    /**
     * Instance of Automizely_Feed_Actions.
     *
     * @var Automizely_Feed_Actions
     */
    public $actions;

    /**
     * Plugin dir.
     *
     * @var string
     */
    public $plugin_dir;

    public function __construct()
    {
        $this->plugin_dir  = untrailingslashit(plugin_dir_path(__FILE__));

        // Include required files.
        $this->includes();

        add_filter('rest_shop_order_collection_params', array( $this->actions, 'add_collection_params' ), 10, 1);
        add_filter('rest_shop_coupon_collection_params', array( $this->actions, 'add_collection_params' ), 10, 1);
        add_filter('rest_product_collection_params', array( $this->actions, 'add_collection_params' ), 10, 1);
        add_filter('woocommerce_rest_orders_prepare_object_query', array( $this->actions, 'add_query' ), 10, 2);
        add_filter('woocommerce_rest_product_object_query', array( $this->actions, 'add_query' ), 10, 2);
        add_filter('woocommerce_rest_shop_coupon_object_query', array( $this->actions, 'add_query' ), 10, 2);
        add_filter('woocommerce_rest_customer_query', array( $this->actions, 'add_customer_query' ), 10, 2);

    }

    /**
     * Include required files.
     */
    private function includes()
    {
        include $this->plugin_dir . '/includes/class-feed-actions.php';
        $this->actions = Automizely_Feed_Actions::get_instance();
    }

}


new Automizely_Feed();
?>
